require_relative 'lib/gi_job/version'

Gem::Specification.new do |spec|
  spec.name          = "gi_job"
  spec.version       = GiJob::VERSION
  spec.authors       = ["Takuro Onoda"]
  spec.email         = ["onoda.takuro@getit.co.jp"]

  spec.summary       = %q{Job mechanism for rails + sidekiq + active_record.}
  spec.description   = %q{job utils}
  spec.homepage      = "https://github.com/getit-jp/gi_job"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  # spec.metadata["allowed_push_host"] = "Set to 'http://mygemserver.com'"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/getit-jp/gi_job"
  spec.metadata["changelog_uri"] = "https://github.com/getit-jp/gi_job"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
